/*globals document */
//============= DOM =============
var DOM = {};

//================ DOM.effacerElement ================
DOM.effacerElement = function (pere) {
	while (pere.firstChild) {
		pere.removeChild(pere.firstChild);
	}
};

//================ DOM.elementDans ===============
DOM.elementDans = function (pere, tag, args) {
	// Crée un élément dans le pere
	// fixe certains attributs
	// retourne le widget créé
	var element = document.createElement(tag);
	if (args.html) {
		element.innerHTML = args.html;
	}
	if (args.id) { 
		element.id = args.id;
	}
	if (args.type) {
		element.type = args.type;
	}
	if (args.nom) {
		element.name = args.nom;
	}
	if (args.valeur) {
		element.value = args.valeur;
	}
	if (args.checked) {
		element.checked = args.checked;
	}
	if (args.classe) {
		element.className = args.classe;
	}
	if (args.image) {
		element.setAttribute("src", args.image);
	}
	if (args.onmouseover) {
		element.setAttribute("onmouseover", args.onmouseover);
	}
	if (args.onmouseout) {
		element.setAttribute("onmouseout", args.onmouseout);
	}
	if (args.onclick) {
		element.setAttribute("onclick", args.onclick);
	}
	if (args.onchange) {
		element.setAttribute("onchange", args.onchange);
	}
	if (args.href) {
		element.setAttribute("href", args.href);
	}
	if (args.pop) {
		element.setAttribute("title", args.pop);
	}
	pere.appendChild(element);
	return element;
};
