﻿/*globals document DOM TabVar Option */

var GUI = {};

GUI.dom = {};

//============= GUI.creerMenuDebug =============
GUI.creerMenuDebug = function (n) {
	var k;
	TabVar.debug = false;
	GUI.dom.menu.options[0] = new Option("Exemples ?"); 
	for (k = 0; k < n; k += 1) {
		GUI.dom.menu.options[k + 1] = new Option("Exemple n° " + k); 
	}
};

//============= GUI.creerTable =============
GUI.creerTable = function () {
	var c, k, table, row, cell;
	DOM.effacerElement(GUI.dom.jeu);
	table = DOM.elementDans(GUI.dom.jeu, "table", {});
	table.align = "middle";
	// Ligne n° 1
	row = table.insertRow(0);
	GUI.dom.x = [];
	c = 0;
	cell = row.insertCell(c);
	GUI.dom.x[c] = DOM.elementDans(cell, "input", {classe: "un", type: "text"});
	GUI.dom.x[c].size = "7";
	c += 1;
	cell = row.insertCell(c);
	GUI.dom.x[c] = DOM.elementDans(cell, "input", {type: "text"});
	for (k = 2; k < TabVar.nbCol; k +=  1) {
		c += 1;
		cell = row.insertCell(c);
		c += 1;
		cell = row.insertCell(c);
		GUI.dom.x[k] = DOM.elementDans(cell, "input", {type: "text"});
	}
	// Ligne n° 2
	row = table.insertRow(1);
	GUI.dom.d = [];
	GUI.dom.s = [undefined];
	c = 0;
	cell = row.insertCell(c);
	GUI.dom.d[c] = DOM.elementDans(cell, "input", {classe: "un", type: "text"});
	GUI.dom.d[c].size = "7";
	c += 1;
	cell = row.insertCell(c);
	GUI.dom.d[c] = DOM.elementDans(cell, "input", {type: "text"});
	for (k = 2; k < TabVar.nbCol; k +=  1) {
		c += 1;
		cell = row.insertCell(c);
		GUI.dom.s[k - 1] = DOM.elementDans(cell, "input", {type: "text"});
		GUI.dom.s[k - 1].size = "2";
		c += 1;
		cell = row.insertCell(c);
		GUI.dom.d[k] = DOM.elementDans(cell, "input", {type: "text"});
	}
	// Ligne n° 3
	row = table.insertRow(2);
	GUI.dom.y = [];
	c = 0;
	cell = row.insertCell(c);
	GUI.dom.y[c] = DOM.elementDans(cell, "input", {classe: "un", type: "text"});
	GUI.dom.y[c].size = "7";
	c += 1;
	cell = row.insertCell(c);
	GUI.dom.y[c] = DOM.elementDans(cell, "input", {type: "text"});
	for (k = 2; k < TabVar.nbCol; k +=  1) {
		c += 1;
		cell = row.insertCell(c);
		c += 1;
		cell = row.insertCell(c);
		GUI.dom.y[k] = DOM.elementDans(cell, "input", {type: "text"});
	}
};

//============= GUI.initZoneTexte =============
GUI.initZoneTexte = function (div) {
	// Zone de source TikZ
	DOM.elementDans(div, "br", {});
	GUI.dom.texte = DOM.elementDans(div, "textarea", {id: "sourceTikZ"});
	GUI.dom.texte.rows = "30";
	GUI.dom.texte.cols = "120";
	// Bouton RaZ
	DOM.elementDans(div, "br", {});
	DOM.elementDans(div, "button", {type: "button", onclick: "TabVar.clicRAZ()", html: "Remise à Zéro"});
};

//============= GUI.initZoneDeJeu =============
GUI.initZoneDeJeu = function () {
	var table, row, cell;
	// Zone de source TikZ
	table = DOM.elementDans(document.body, "table", {});
	// Ligne n° 1
	row = table.insertRow(0);
	row.vAlign = "middle";
	// Gauche
	cell = row.insertCell(0);
	// Zone de définition du jeu (vide au départ)
	GUI.dom.jeu = DOM.elementDans(cell, "div", {id: "jeu"});
	// Centre
	cell = row.insertCell(1);
	cell.align = "left";
	// Boutons d'édition
	DOM.elementDans(cell, "b", {classe: "info", html: "Aide à l'édition :"});
	DOM.elementDans(cell, "br", {});
	DOM.elementDans(cell, "img", {image: "img/btnPi.png", onclick: "GUI.clicMacro(1)", pop: "~ 3,1415926"});
	DOM.elementDans(cell, "img", {image: "img/btnInf.png", onclick: "GUI.clicMacro(2)", pop: "Le symbole infini"});
	DOM.elementDans(cell, "img", {image: "img/btnRac.png", onclick: "GUI.clicMacro(3)", pop: "Racine carrée"});
	DOM.elementDans(cell, "img", {image: "img/btnFrac.png", onclick: "GUI.clicMacro(4)", pop: "Fraction"});
	DOM.elementDans(cell, "img", {image: "img/btnVer.png", onclick: "GUI.clicMacro(5)", pop: "Double flèche verticale"});
	DOM.elementDans(cell, "img", {image: "img/btnMax.png", onclick: "GUI.clicMacro(6)", pop: "Double flèche au dessus"});
	DOM.elementDans(cell, "img", {image: "img/btnMin.png", onclick: "GUI.clicMacro(7)", pop: "Double flèche en dessous"});
	DOM.elementDans(cell, "br", {});
	GUI.dom.macro = DOM.elementDans(cell, "textarea", {id: "macroTikZ"});
	GUI.dom.macro.rows = "1";
	GUI.dom.macro.cols = "26";
	// Droite
	cell = row.insertCell(2);
	cell.align = "left";
	cell.style.minWidth = "12em";
	DOM.elementDans(cell, "p", {classe: "info", html: "Clic sur un des symboles<br /><br />Copier le contenu de la case<br />Coller dans une case du tableau"});
};

//============= GUI.clicMacro =============
GUI.clicMacro = function (n) {
	switch (n) {
	case 1:
		GUI.dom.macro.value = "\\pi";
		break;
	case 2:
		GUI.dom.macro.value = "\\infty";
		break;
	case 3:
		GUI.dom.macro.value = "\\sqrt{a}";
		break;
	case 4:
		GUI.dom.macro.value = "\\dfrac{a}{b}";
		break;
	case 5:
		GUI.dom.macro.value = "\\updownarrow";
		break;
	case 6:
		GUI.dom.macro.value = "\\overleftrightarrow{a}";
		break;
	case 7:
		GUI.dom.macro.value = "\\underleftrightarrow{a}";
		break;
	}
	GUI.dom.macro.focus();
	GUI.dom.macro.select();
};

//================== GUI.init ==================
GUI.init = function () {
	var div;
	// Zone d'affichage de l'aide
	GUI.dom.aide = document.getElementById("aide");
	// le menu des exemples
	GUI.dom.menu = document.getElementById("menu");
	// le texte source
	// le menu des exemples
	GUI.dom.menuDebug = document.getElementById("menuDebug");
	// Zone d'affichage du bouton d'aide
	GUI.dom.btnAide = document.getElementById("btnAide");
	// Création de l'interface
	div = DOM.elementDans(document.body, "div", {});
	// Zone de définition du jeu (vide au départ)
	GUI.initZoneDeJeu();
	// Boutons de contrôles du jeu
	div = DOM.elementDans(document.body, "div", {classe: "controle"});
	DOM.elementDans(div, "img", {image: "img/Moins.png", onclick: "TabVar.clicMoins()", pop: "Supprimer une colonne"});
	DOM.elementDans(div, "span", {html: " &nbsp; &nbsp; &nbsp; "});
	DOM.elementDans(div, "img", {image: "img/TikZ.png", onclick: "TabVar.clicValider()", pop: "Engendrer le code TikZ du tableau"});
	DOM.elementDans(div, "span", {html: " &nbsp; &nbsp; &nbsp; "});
	DOM.elementDans(div, "img", {image: "img/Plus.png", onclick: "TabVar.clicPlus()", pop: "Ajouter une colonne"});
	DOM.elementDans(div, "hr", {});
	// Boutons de contrôles checkbox et radio
	// Échelle
	DOM.elementDans(div, "span", {html: "Hauteur maximum du tableau : &nbsp; &nbsp; "});
	DOM.elementDans(div, "input", {type: "radio", nom: "scale", valeur: "2", onclick: "TabVar.clicScale(this)"});
	DOM.elementDans(div, "span", {html: " 2 cm &nbsp; &nbsp; &nbsp; "});
	DOM.elementDans(div, "input", {type: "radio", nom: "scale", valeur: "2.5", onclick: "TabVar.clicScale(this)"});
	DOM.elementDans(div, "span", {html: " 2,5 cm &nbsp; &nbsp; &nbsp; "});
	DOM.elementDans(div, "input", {type: "radio", nom: "scale", valeur: "3", onclick: "TabVar.clicScale(this)"});
	DOM.elementDans(div, "span", {html: " 3 cm &nbsp; &nbsp; &nbsp; "});
	DOM.elementDans(div, "input", {type: "radio", nom: "scale", valeur: "3.5", onclick: "TabVar.clicScale(this)"}).checked = true;
	DOM.elementDans(div, "span", {html: " 3,5 cm &nbsp; &nbsp; &nbsp; "});
	DOM.elementDans(div, "input", {type: "radio", nom: "scale", valeur: "4", onclick: "TabVar.clicScale(this)"});
	DOM.elementDans(div, "span", {html: " 4 cm"});
	DOM.elementDans(div, "br", {});
	// Ne pas afficher la dérivée
	GUI.dom.caseDerive = DOM.elementDans(div, "input", {type: "checkbox", onchange: "TabVar.clicDerive(this)"});
	DOM.elementDans(div, "span", {html: " Ne pas afficher la dérivée &nbsp; &nbsp; &nbsp; "});
	// Ne pas afficher la fonction
	GUI.dom.caseFonction = DOM.elementDans(div, "input", {type: "checkbox", onchange: "TabVar.clicFonction(this)"});
	DOM.elementDans(div, "span", {html: " Ne pas afficher la fonction &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; "});
	// Pointillés de rappel
	DOM.elementDans(div, "input", {type: "checkbox", onchange: "TabVar.clicPointilles(this)"});
	DOM.elementDans(div, "span", {html: " Pointillés de rappel"});
	// le texte source
	GUI.initZoneTexte(div);
	TabVar.init();
};
